Package org.bukkit.event.inventory

# Class FurnaceSmeltEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockCookEvent
org.bukkit.event.inventory.FurnaceSmeltEvent

All Implemented Interfaces:
  `Cancellable`

public class FurnaceSmeltEvent extends BlockCookEvent
Called when an ItemStack is successfully smelted in a furnace.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`FurnaceSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull ItemStack result)`
Deprecated.
`FurnaceSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull ItemStack result, CookingRecipe<?> recipe)`

## Method Summary

### Methods inherited from class org.bukkit.event.block.BlockCookEvent

`getHandlerList, getHandlers, getRecipe, getResult, getSource, isCancelled, setCancelled, setResult`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FurnaceSmeltEvent

@Deprecated public FurnaceSmeltEvent(@NotNull @NotNull Block furnace, @NotNull @NotNull ItemStack source, @NotNull @NotNull ItemStack result)
Deprecated.

### FurnaceSmeltEvent

public FurnaceSmeltEvent(@NotNull @NotNull Block furnace, @NotNull @NotNull ItemStack source, @NotNull @NotNull ItemStack result, @Nullable CookingRecipe<?> recipe)